// (c) 1999 Michael Dom und Wolfgang Westje
// 
// Alle Rechte vorbehalten.

// Wird der JAVAMeister benutzt, muss man vorher
//               setenv THREADS_FLAG native 
// setzen.

package ServerAufg2;

import org.omg.CORBA.*;
import org.omg.CosNaming.*;
import VierGewinnt.*;
import java.io.*;

/**
 * Bindet den PartieManager, den JAVAMeister und den C++Meister in den 
 * NameService ein.<br>
 * Initialisiert den ORB und den BOA, instanziert die drei Objekte und 
 * aktiviert sie mit Hilfe des BOAs, bindet sie in den NameService ein und 
 * wartet dann auf eingehende Anfragen.
 * @author Michael Dom, Wolfgang Westje
 */
public class Server {

  public static void main(String[] args) {

      ORB orb = ORB.init(args, null);
            
      PartieManager manager = new PartieManagerImpl();
      Meister JAVAMeister = new MeisterImpl();

      orb.connect(manager);
      System.out.println("Manager ist bereit.");
      
      orb.connect(JAVAMeister);
      System.out.println("JAVAMeister ist bereit.");
      
      
      // HIER BEGINNT IHRE AUFGABE

      // HIER ENDET IHRE AUFGABE
     
  }
}



